## org.eclipse.jet.xpath
Class XPathException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.eclipse.jet.xpath.XPathException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  XPathLexicalException, XPathSyntaxException

    public class XPathException

extends java.lang.Exception

Root for all XPath related Exceptions

See Also:
  Serialized Form

Constructor Summary
`XPathException()`
`XPathException(java.lang.String arg0)`
`XPathException(java.lang.String arg0, java.lang.Throwable arg1)`
`XPathException(java.lang.Throwable arg0)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XPathException

    public XPathException()

### XPathException

    public XPathException(java.lang.String arg0,
                          java.lang.Throwable arg1)

### XPathException

    public XPathException(java.lang.String arg0)

### XPathException

    public XPathException(java.lang.Throwable arg0)

Copyright 2006 IBM Corporation and others. All Rights Reserved.